clearvars;
close all;
clc;

setup;

datapath = 'data/MUTAG.mat';
load(datapath);

opt = struct(...
    'dataname', 'MUTAG',...
    'useLabels', false,...
	'wlIterations', 0,...
    'distance', 'euclidean',...
	'nAverages', 1,...
    'nLandmarks', 100,...
	'labelFun', 'delta'...
    );

opt.embeddings = {'IM'};
opt.embedding_labels = {'Incidence Matrix'};
    
exp_embeddings(MUTAG,lmutag,opt);